Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.SystemException System.Runtime.InteropServices.ComVisible(true)

AmbiguousMatchException uses the HRESULT COR_E_AMBIGUOUSMATCH which has the value 0x8000211D.

An AmbiguousMatchException is thrown when a member is invoked late-bound and multiple overloads satisfy the binding criteria, or when more than one member matches the binding criteria passed to a reflection method that can return only a single result (for example, or ).

The exception that is thrown when binding to a member results in more than one member matching the binding criteria. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  AmbiguousMatchException inherits from . This constructor sets the properties of the Exception object as shown in the following table.

  Property

  Value

  null

  The empty string ("").

  Initializes a new instance of the class with an empty message string and the root cause exception set to null.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  AmbiguousMatchException inherits from . This constructor sets the properties of the Exception object as shown in the following table.

  Property

  Value

  null

  The string.

  Initializes a new instance of the class with its message string set to the given message and the root cause exception set to null.

  A string indicating the reason this exception was thrown.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
  0
0